classification
Title: Add nanoseconds to timing table in What's new python 3.8
Type: enhancement Stage: resolved
Components: Demos and Tools, Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: docs@python, mchels, miss-islington, rhettinger, terry.reedy
Priority: normal Keywords: patch

Created on 2020-04-05 16:04 by mchels, last changed 2020-04-10 21:00 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19386 merged rhettinger, 2020-04-05 18:24
PR 19387 closed miss-islington, 2020-04-06 01:53
PR 19388 closed miss-islington, 2020-04-06 02:10
PR 19462 merged miss-islington, 2020-04-10 19:54
Messages (5)
msg365823 - (view) Author: Morten Hels (mchels) Date: 2020-04-05 16:04
It is not immediately obvious to me what the units are in the timing table here: https://docs.python.org/3/whatsnew/3.8.html#demos-and-tools

Clicking through to https://bugs.python.org/issue35884 shows that the unit is microseconds, but I think it would be helpful to many readers to put that information in the docs itself, e.g.,

"Here’s a summary of performance improvements since Python 3.3 (timings are in microseconds):"
msg365833 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-04-06 01:53
New changeset c63629e7c09da80a6b7d0253d04a9b3f57f88eff by Raymond Hettinger in branch 'master':
bpo-40197: Better describe the benchmark results table (GH-19386)
https://github.com/python/cpython/commit/c63629e7c09da80a6b7d0253d04a9b3f57f88eff
msg365839 - (view) Author: Morten Hels (mchels) Date: 2020-04-06 06:12
It turns out I was wrong about microseconds. The output in https://bugs.python.org/issue35884 does show microseconds, but the output is before this commit https://github.com/python/cpython/commit/9da3583e78603a81b1839e17a420079f734a75b0 that fixes a typo (that's my best guess anyway).

Thank you for clearing this up, rhettinger.
msg366149 - (view) Author: miss-islington (miss-islington) Date: 2020-04-10 20:00
New changeset 1bf7dee8d35cb19db7ee98229dd2e5726e6c7606 by Miss Islington (bot) in branch '3.8':
bpo-40197: Better describe the benchmark results table (GH-19386)
https://github.com/python/cpython/commit/1bf7dee8d35cb19db7ee98229dd2e5726e6c7606
msg366154 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-04-10 21:00
Raymond, I finished the backporting and assume that your patch was meant to be a complete fix.
History
Date User Action Args
2020-04-10 21:00:05terry.reedysetnosy: + terry.reedy

messages: + msg366154
versions: + Python 3.9
2020-04-10 20:14:17rhettingersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-04-10 20:00:22miss-islingtonsetmessages: + msg366149
2020-04-10 19:54:25miss-islingtonsetpull_requests: + pull_request18818
2020-04-06 06:12:26mchelssetmessages: + msg365839
2020-04-06 02:10:17miss-islingtonsetpull_requests: + pull_request18751
2020-04-06 01:53:34miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request18750
2020-04-06 01:53:10rhettingersetmessages: + msg365833
2020-04-05 18:26:34rhettingersettitle: Add microseconds to timing table in What's new python 3.8 -> Add nanoseconds to timing table in What's new python 3.8
2020-04-05 18:24:43rhettingersetkeywords: + patch
stage: patch review
pull_requests: + pull_request18749
2020-04-05 16:37:36vstinnersetassignee: docs@python -> rhettinger

nosy: + rhettinger
2020-04-05 16:04:08mchelscreate